Skip to content

Get list of Boxes

Retrieve the list of available reward boxes.

Endpoint

GET /boxes

Query Parameters

No query parameters.

Example Request

cURL
curl -X GET "https://app.loyaltygyre.com/api/boxes" \
     -H "Authorization: Bearer YOUR_API_KEY"

Responses

200 OK

A list of available reward boxes is returned.

Response
{
  "status": "success",
  "data": [
    {
      "id": 58,
      "name": "Mystery Box",
      "description": "A special box that contains random rewards.",
      "price": 50,
      "image": {
        "thumbnail": "https://example.com/image-thumb.jpg",
        "standard": "https://example.com/image-standard.jpg",
        "high_res": "https://example.com/image-highres.jpg"
      },
      "prizes": [
        {
          "id": 125,
          "name": "iPhone 16 Pro",
          "description": "iPhone 16 Pro features a Grade 5 titanium design with a new, refined microblasted texture.",
          "price": 1200,
          "image": {
            "thumbnail": "https://example.com/image-thumb.jpg",
            "standard": "https://example.com/image-standard.jpg",
            "high_res": "https://example.com/image-highres.jpg"
          }
        },
        {
          "id": 261,
          "name": "Gaming Headphones",
          "description": "A pair of gaming headphones.",
          "price": 15.99,
          "image": {
            "thumbnail": "https://example.com/image-thumb.jpg",
            "standard": "https://example.com/image-standard.jpg",
            "high_res": "https://example.com/image-highres.jpg"
          }
        },
        ...
      ]
    },
    ...
  ]
}


401 Unauthorized

The API key is missing or invalid.

Response
{
  "status": "error",
  "message": "Invalid or missing API key"
}


500 Internal Server Error

An internal error occurred while processing the request.

Response
{
  "status": "error",
  "message": "An error occurred while fetching available boxes."
}